<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE  mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.yonge.cooleshow.biz.dal.mapper.TenantTeacherAccountRecordMapper">

	 
    
    <!-- 表字段 -->
    <sql id="baseColumns">
         t.id_ AS id
        , t.tenant_id_ AS tenantId
        , t.teacher_id_ AS teacherId
        , t.account_record_id_ AS accountRecordId
        , t.source_type_ AS sourceType
        , t.trans_amount_ AS transAmount
        , t.in_or_out_ AS inOrOut
        , t.post_status_ AS postStatus
        , t.biz_type_ AS bizType
        , t.biz_id_ AS bizId
        , t.biz_name_ AS bizName
        , t.order_no_ AS orderNo
        , t.create_time_ AS createTime
        , t.update_time_ AS updateTime
        , t.err_flag_ AS errFlag
        , t.err_msg_ AS errMsg
        </sql> 
    
    <select id="selectPage" resultType="com.yonge.cooleshow.biz.dal.entity.TenantTeacherAccountRecord">
		SELECT         
        	<include refid="baseColumns" />
		FROM tenant_teacher_account_record t
	</select>
    
</mapper>